Bug 77801 - Web Inspector: get rid of cycles in retaining tree
Summary: Web Inspector: get rid of cycles in retaining tree
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Ilya Tikhonovsky
URL:
Keywords:
Depends on:
Blocks: 78411
  Show dependency treegraph
 
Reported: 2012-02-03 20:19 PST by Ilya Tikhonovsky
Modified: 2012-02-11 01:26 PST (History)
12 users (show)

See Also:


Attachments
Patch (4.19 KB, patch)
2012-02-03 20:22 PST, Ilya Tikhonovsky
yurys: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
the patch that was actually landed (5.46 KB, patch)
2012-02-04 04:47 PST, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Tikhonovsky 2012-02-03 20:19:26 PST
%subj%
Comment 1 Ilya Tikhonovsky 2012-02-03 20:22:01 PST
Created attachment 125473 [details]
Patch
Comment 2 WebKit Review Bot 2012-02-03 20:55:45 PST
Comment on attachment 125473 [details]
Patch

Attachment 125473 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11418649

New failing tests:
inspector/profiler/detailed-heapshots-summary-expansion-preserved-when-sorting.html
inspector/profiler/detailed-heapshots-comparison-expansion-preserved-when-sorting.html
Comment 3 Yury Semikhatsky 2012-02-03 22:31:30 PST
Comment on attachment 125473 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=125473&action=review

> Source/WebCore/inspector/front-end/DetailedHeapshotGridNodes.js:380
> +            while (ancestor) {

We may stop if the parentGridNode already has _cycledWithAncestorGridNode set.

> Source/WebCore/inspector/front-end/DetailedHeapshotGridNodes.js:388
> +        WebInspector.HeapSnapshotGenericObjectNode.prototype._updateHasChildren.call(this);

Please remvoe leading underscore from _updateHasChildren  method name since you override it, by the convention only private methods should start with _.

> Source/WebCore/inspector/front-end/DetailedHeapshotGridNodes.js:-444
> -            prefixSpan.textContent = WebInspector.UIString("retained by ");

Please mention this UI change in the changelog.

> Source/WebCore/inspector/front-end/DetailedHeapshotGridNodes.js:458
> +        if (this._cycledWithAncestorGridNode) {

We need some UI for navigating to the first occurrence of the node in the ancesors chain but this can be done in a separate patch.
Comment 4 Ilya Tikhonovsky 2012-02-04 02:20:24 PST
Committed r106738: <http://trac.webkit.org/changeset/106738>
Comment 5 Ilya Tikhonovsky 2012-02-04 04:47:58 PST
Created attachment 125492 [details]
the patch that was actually landed